Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb.impl
Class RichTextWithOwnerTypeImpl

    java.lang.Object
      org.infoml.jaxb.impl.RichTextTypeImpl
          org.infoml.jaxb.impl.RichTextWithOwnerTypeImpl

All Implemented Interfaces:
  RichTextType, RichTextWithOwnerType

    public class RichTextWithOwnerTypeImpl

extends RichTextTypeImpl
implements RichTextWithOwnerType

Nested Class Summary
`class` | `RichTextWithOwnerTypeImpl.Unmarshaller`

Nested classes/interfaces inherited from class org.infoml.jaxb.impl.RichTextTypeImpl
`RichTextTypeImpl.PImpl, RichTextTypeImpl.PoemImpl, RichTextTypeImpl.QuotationImpl, RichTextTypeImpl.TableImpl`

Nested classes/interfaces inherited from interface org.infoml.jaxb.RichTextType
`RichTextType.P, RichTextType.Poem, RichTextType.Quotation, RichTextType.Table`

Field Summary
`protected java.lang.String` | `_Owner`
`static java.lang.Class` | `version`

Fields inherited from class org.infoml.jaxb.impl.RichTextTypeImpl
`_POrQuotationOrPoem`

Constructor Summary
`RichTextWithOwnerTypeImpl()`

Method Summary
`com.sun.msv.verifier.DocumentDeclaration` | `createRawValidator()`
`org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler` | `createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)`
`java.lang.String` | `getOwner()` Gets the value of the owner property.
`java.lang.Class` | `getPrimaryInterface()`
`void` | `serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `setOwner(java.lang.String value)` Sets the value of the owner property.

Methods inherited from class org.infoml.jaxb.impl.RichTextTypeImpl
`_getPOrQuotationOrPoem, getPOrQuotationOrPoem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.infoml.jaxb.RichTextType
`getPOrQuotationOrPoem`

Field Detail

### _Owner

    protected java.lang.String _Owner

### version

    public static final java.lang.Class version

Constructor Detail

### RichTextWithOwnerTypeImpl

    public RichTextWithOwnerTypeImpl()

Method Detail

### getOwner

    public java.lang.String getOwner()

  Description copied from interface: `RichTextWithOwnerType`
  Gets the value of the owner property.

  Specified by:
    `getOwner` in interface `RichTextWithOwnerType`
  Returns:
    possible object is `String`

### setOwner

    public void setOwner(java.lang.String value)

  Description copied from interface: `RichTextWithOwnerType`
  Sets the value of the owner property.

  Specified by:
    `setOwner` in interface `RichTextWithOwnerType`
  Parameters:
    `value` - allowed object is `String`

### createUnmarshaller

    public org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)

  Overrides:
    `createUnmarshaller` in class `RichTextTypeImpl`

### serializeBody

    public void serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Overrides:
    `serializeBody` in class `RichTextTypeImpl`
  Throws:
    `org.xml.sax.SAXException`

### serializeAttributes

    public void serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                             throws org.xml.sax.SAXException

  Overrides:
    `serializeAttributes` in class `RichTextTypeImpl`
  Throws:
    `org.xml.sax.SAXException`

### serializeURIs

    public void serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Overrides:
    `serializeURIs` in class `RichTextTypeImpl`
  Throws:
    `org.xml.sax.SAXException`

### getPrimaryInterface

    public java.lang.Class getPrimaryInterface()

  Overrides:
    `getPrimaryInterface` in class `RichTextTypeImpl`

### createRawValidator

    public com.sun.msv.verifier.DocumentDeclaration createRawValidator()

  Overrides:
    `createRawValidator` in class `RichTextTypeImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD